org.keycloak.authentication

## Interface FormContext

- All Known Subinterfaces:
    ValidationContext

      public interface FormContext

  Interface that encapsulates the current state of the current form being executed
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationSessionModel` | `getAuthenticationSession()` AuthenticationSessionModel attached to this flow
    `AuthenticatorConfigModel` | `getAuthenticatorConfig()` Get any configuration associated with the current execution
    `ClientConnection` | `getConnection()` Information about the IP address from the connecting HTTP client.
    `EventBuilder` | `getEvent()` Current event builder being used
    `AuthenticationExecutionModel` | `getExecution()` The current execution in the flow
    `org.jboss.resteasy.spi.HttpRequest` | `getHttpRequest()`
    `RealmModel` | `getRealm()` Current realm
    `KeycloakSession` | `getSession()` Current session
    `javax.ws.rs.core.UriInfo` | `getUriInfo()` UriInfo of the current request
    `UserModel` | `getUser()` Current user attached to this flow.
    `EventBuilder` | `newEvent()` Create a refresh new EventBuilder to use within this context
    `void` | `setUser(UserModel user)` Attach a specific user to this flow.

- - ### Method Detail

    - #### getEvent

          EventBuilder getEvent()

      Current event builder being used
      Returns:

    - #### newEvent

          EventBuilder newEvent()

      Create a refresh new EventBuilder to use within this context
      Returns:

    - #### getExecution

          AuthenticationExecutionModel getExecution()

      The current execution in the flow
      Returns:

    - #### getUser

          UserModel getUser()

      Current user attached to this flow. It can return null if no uesr has been identified yet
      Returns:

    - #### setUser

          void setUser(UserModel user)

      Attach a specific user to this flow.
      Parameters:
        `user` -

    - #### getRealm

          RealmModel getRealm()

      Current realm
      Returns:

    - #### getAuthenticationSession

          AuthenticationSessionModel getAuthenticationSession()

      AuthenticationSessionModel attached to this flow
      Returns:

    - #### getConnection

          ClientConnection getConnection()

      Information about the IP address from the connecting HTTP client.
      Returns:

    - #### getUriInfo

          javax.ws.rs.core.UriInfo getUriInfo()

      UriInfo of the current request
      Returns:

    - #### getSession

          KeycloakSession getSession()

      Current session
      Returns:

    - #### getHttpRequest

          org.jboss.resteasy.spi.HttpRequest getHttpRequest()

    - #### getAuthenticatorConfig

          AuthenticatorConfigModel getAuthenticatorConfig()

      Get any configuration associated with the current execution
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.